<template>
  <Head title="Category" />

  <Layout>
    <div class="max-w-full mx-auto sm:px-2 lg:px-2">
      <div class="lg:flex lg:items-center lg:justify-between py-4">
        <div class="flex-1 min-w-0">
          <!-- {/* Title Page */} -->
          <h2
            class="
              text-2xl
              font-semibold
              text-gray-700
              dark:text-gray-200
              sm:text-3xl
              sm:truncate
            "
          >
            Category
          </h2>
          <!-- {/* Breadcumb */} -->
          <div
            class="
              mt-1
              flex flex-col
              sm:flex-row sm:flex-wrap
              sm:mt-0
              sm:space-x-6
            "
          >
            <ul class="flex text-gray-900 text-sm lg:text-base">
              <li class="inline-flex items-center">
                <Link :href="route('dashboard')">Dashboard</Link>
                <Icon
                  :name="`chevron-right`"
                  :style="`h-5 w-auto text-gray-400`"
                />
              </li>
              <li class="inline-flex items-center">
                <Link :href="route('category')" class="text-gray-500">
                  Category
                </Link>
                <Icon
                  :name="`chevron-right`"
                  :style="`h-5 w-auto text-gray-400`"
                />
              </li>
              <li class="inline-flex items-center">
                <Link href="#" class="text-gray-500"> Edit </Link>
              </li>
            </ul>
          </div>
        </div>
        <div class="mt-5 flex lg:mt-0 lg:ml-4"></div>
      </div>

      <div class="w-full overflow-hidden rounded-lg shadow-xs">
        <div class="w-full overflow-x-auto">
          <div class="mt-5 md:mt-0 md:col-span-2">
            <form @submit.prevent="update">
              <div class="shadow sm:rounded-xl sm:overflow-hidden">
                <div class="px-4 py-5 bg-white space-y-6 sm:p-6">
                  <div class="grid grid-cols-1 gap-6">
                    <div class="col-span-3 sm:col-span-2">
                      <Label for="name" value="Name" />
                      <Input
                        id="name"
                        type="text"
                        class="mt-2 block w-full"
                        v-model="form.name"
                      />
                    </div>
                  </div>
                </div>

                <div class="px-4 py-3 bg-gray-200 flex justify-end">
                  <Link
                    :href="route('category')"
                    class="
                      inline-flex
                      items-center
                      px-4
                      py-2
                      bg-gray-600
                      hover:bg-gray-700
                      border border-transparent
                      rounded-md
                      font-semibold
                      text-xs text-white
                      uppercase
                      tracking-widest
                    "
                  >
                    <Icon :name="`backspace`" :style="`-ml-1 mr-2 h-5 w-5`" />
                    Cancel
                  </Link>

                  <Button
                    v-if="$page.props.auth.can.update_category"
                    class="ml-4"
                    :class="{ 'opacity-25': form.processing }"
                    :disabled="form.processing"
                  >
                    <Icon :name="`save`" :style="`-ml-1 mr-2 h-5 w-5`" />
                    Submit
                  </Button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>

<script>
import Layout from "@/Layouts/App.vue";
import { Head } from "@inertiajs/inertia-vue3";
import { Link } from "@inertiajs/inertia-vue3";
import Icon from "@/Components/Icon";
import Input from "@/Components/Input.vue";
import Label from "@/Components/Label.vue";
import Button from "@/Components/Button.vue";
export default {
  components: {
    Layout,
    Head,
    Link,
    Icon,
    Button,
    Input,
    Label,
  },
  props: {
    category: Object,
  },
  data() {
    return {
      form: this.$inertia.form({
        name: this.category.name || "",
      }),
    };
  },
  methods: {
    update() {
      this.form.put(this.route("category.update", this.category.id));
    },
  },
};
</script>
